
QGIS Application - Bug report #21898

Pip under Python 3.7 in QGIS 3.6.2 doesn't work

2019-04-21 06:41 PM - Michal Hala

Status: Feedback

Priority: High

Assignee:

Category: PyQGIS Console

Affected QGIS version:3.6.2 Regression?: No

Operating System: Windows 10 (probably in all Windows versions)Easy fix?: Yes

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 29713

Description

Pip tool under Python 3.7 in QGIS 3.6.2 doesn't work. This continues in all QGIS versions since 3.0. It complicates my life very much,

because third party modules are very important and absolutely must have for some types of data analysis (e. g. scikit-learn, pandas,

statsmodels...). I have to export data to external Python and make analysis there. This is pretty fine mess.

History

#1 - 2019-04-23 08:50 AM - Jürgen Fischer

- Affected QGIS version changed from 3.6.1 to 3.6.2

- Status changed from Open to Feedback

Error message?   Did you run call py3_env.bat upfront?

#2 - 2019-04-23 03:31 PM - Michal Hala

Yes, I did run it.

Error message is:

Fatal Python error: initfsencoding: unable to load the file system codec

ModuleNotFoundError: No module named 'encodings'

Current thread 0x0000278c (most recent call first):
